Skip to navigation

Search Continue v2

View as Markdown

Fetches the next page of search results returned from search:2.

Note: search:2 along with search/continue:2 can only be used to retrieve a maximum of 10,000 matches.

Recent changes may not immediately be reflected in search results due to a short delay in indexing. Duplicate results may be returned across pages. Some results may not be returned.

Required scope: files.metadata.read

Endpoint format: RPC

Authentication: User

Authentication

AuthorizationBearer

OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.

Public clients should use the authorization code flow with PKCE (S256).

For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional

Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.

Request

This endpoint expects an object.
cursorstringRequired>=1 character

The cursor returned by your last call to search:2. Used to fetch the next page of results.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
has_moreboolean

Used for paging. If true, indicates there is another page of results available that can be fetched by calling search/continue:2 with the cursor.

matcheslist of objects

A list (possibly empty) of matches for the query.

cursorstring or nullOptional>=1 character

Pass the cursor into search/continue:2 to fetch the next page of results.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error